Bug 1282167 - Package rubygem-psych-2.0.8-44.fc23.x86_64 cannot be installed
Package rubygem-psych-2.0.8-44.fc23.x86_64 cannot be installed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 03:59 EST by moritz
Modified: 2016-12-20 10:54 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:54:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description moritz 2015-11-15 03:59:49 EST
Description of problem:
Package rubygem-psych-2.0.8-44.fc23.x86_64 cannot be installed

Version-Release number of selected component (if applicable):
rubygem-psych-2.0.8-44.fc23.x86_64


How reproducible:
sudo dnf install rubygem-psych


Steps to Reproduce:
1. simply do a "dnf install"

Actual results:
Package installation resulted with:
Error unpacking rpm package rubygem-psych-2.0.8-44.fc23.x86_64
Error unpacking rpm package rubygem-psych-2.0.8-44.fc23.x86_64
error: unpacking of archive failed on file /usr/share/ruby/psych: cpio: rename
rubygem-psych-2.0.8-44.fc23.x86_64 was supposed to be installed but is not!


Expected results:


Additional info:
[myuser@mycomputer]$ LANG=en_us sudo dnf install rubygem-psych
Failed to set locale, defaulting to C
Last metadata expiration check performed 0:25:52 ago on Sun Nov 15 09:23:38 2015.
Dependencies resolved.
==============================================================================================================================================================================================================================================
 Package                                                      Arch                                                  Version                                                       Repository                                             Size
==============================================================================================================================================================================================================================================
Installing:
 rubygem-psych                                                x86_64                                                2.0.8-44.fc23                                                 fedora                                                 86 k

Transaction Summary
==============================================================================================================================================================================================================================================
Install  1 Package

Total download size: 86 k
Installed size: 120 k
Is this ok [y/N]: y
Downloading Packages:
rubygem-psych-2.0.8-44.fc23.x86_64.rpm                                                                                                                                                                        140 kB/s |  86 kB     00:00    
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                          56 kB/s |  86 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Installing  : rubygem-psych-2.0.8-44.fc23.x86_64                                                                                                                                                                                        1/1 
Error unpacking rpm package rubygem-psych-2.0.8-44.fc23.x86_64
Error unpacking rpm package rubygem-psych-2.0.8-44.fc23.x86_64
error: unpacking of archive failed on file /usr/share/ruby/psych: cpio: rename
rubygem-psych-2.0.8-44.fc23.x86_64 was supposed to be installed but is not!
  Verifying   : rubygem-psych-2.0.8-44.fc23.x86_64                                                                                                                                                                                        1/1 

Failed:
  rubygem-psych.x86_64 2.0.8-44.fc23                                                                                                                                                                                                          

Complete!
###################################################
# Also, rubygem-psych cannot be selected as component even though a package exists
Verfügbare Pakete
Name        : rubygem-psych
Arch        : x86_64
Epoch       : 0
Version     : 2.0.8
Release     : 44.fc23
Größe       : 86 k
Paketquelle : fedora
Zusammenfas : A libyaml wrapper for Ruby
URL         : http://ruby-lang.org/
Lizenz      : MIT
Beschreibun : Psych is a YAML parser and emitter. Psych leverages
            : libyaml[http://pyyaml.org/wiki/LibYAML] for its YAML parsing and emitting
            : capabilities. In addition to wrapping libyaml, Psych also knows how to
            : serialize and de-serialize most Ruby objects to and from the YAML format.
Comment 1 Vít Ondruch 2015-11-16 05:00:23 EST
(In reply to moritz from comment #0)
> Also, rubygem-psych cannot be selected as component even though a package
> exists

rubygem-psych is subpackage or ruby:

$ sudo dnf repoquery --srpm rubygem-psych
enabling rawhide-source repository
Last metadata expiration check performed 0:00:16 ago on Mon Nov 16 10:57:17 2015.
ruby-0:2.2.3-44.fc24.src

So you should use ruby package to report the issue.


Nevertheless, I really don't understand how you got your system into this state. It is not possible to install/uninstall rubygem-psych without installing/uninstalling entire Ruby.
Comment 2 Martin Dengler 2016-03-29 01:23:19 EDT
(In reply to Vít Ondruch from comment #1)
> (In reply to moritz from comment #0)
> > Also, rubygem-psych cannot be selected as component even though a package
> > exists
> 
> rubygem-psych is subpackage or ruby:
> 
> $ sudo dnf repoquery --srpm rubygem-psych
> enabling rawhide-source repository
> Last metadata expiration check performed 0:00:16 ago on Mon Nov 16 10:57:17
> 2015.
> ruby-0:2.2.3-44.fc24.src
> 
> So you should use ruby package to report the issue.
> 
> 
> Nevertheless, I really don't understand how you got your system into this
> state. It is not possible to install/uninstall rubygem-psych without
> installing/uninstalling entire Ruby.

I upgradeded from F21 -> F22 and had this symptom.  An upgrade from F22 -> F23 did not resolve it.  I can't seem to upgrade rubygem-psych manually:

# cat /etc/fedora-release
Fedora release 23 (Twenty Three)

# dnf install -y ruby rubygem-psych --best --allowerasing
Last metadata expiration check: 2:45:33 ago on Mon Mar 28 21:36:38 2016.
Package ruby-2.2.4-47.fc23.x86_64 is already installed, skipping.
Package rubygem-psych-2.0.5-29.fc21.x86_64 is already installed, skipping.
Dependencies resolved.
===================================================================================================================================================================================
 Package                                       Arch                                   Version                                        Repository                               Size
===================================================================================================================================================================================
Upgrading:
 rubygem-psych                                 x86_64                                 2.0.8-47.fc23                                  updates                                  86 k

Transaction Summary
===================================================================================================================================================================================
Upgrade  1 Package

Total download size: 86 k
Downloading Packages:
rubygem-psych-2.0.8-47.fc23.x86_64.rpm                                                                                                              47 kB/s |  86 kB     00:01
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                               33 kB/s |  86 kB     00:02
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : rubygem-psych-2.0.8-47.fc23.x86_64                                                                                                                             1/2
Error unpacking rpm package rubygem-psych-2.0.8-47.fc23.x86_64
Error unpacking rpm package rubygem-psych-2.0.8-47.fc23.x86_64
error: unpacking of archive failed on file /usr/share/ruby/psych: cpio: rename
rubygem-psych-2.0.8-47.fc23.x86_64 was supposed to be installed but is not!
  Verifying   : rubygem-psych-2.0.8-47.fc23.x86_64                                                                                                                             1/2
rubygem-psych-2.0.5-29.fc21.x86_64 was supposed to be removed but is not!
  Verifying   : rubygem-psych-2.0.5-29.fc21.x86_64                                                                                                                             2/2

Failed:
  rubygem-psych.x86_64 2.0.8-47.fc23

Complete!
Comment 3 Martin Dengler 2016-03-29 01:27:29 EDT
Sorry, looks like this is probably https://bugzilla.redhat.com/show_bug.cgi?id=988490#c17 .  I'll just apply the workaround.
Comment 4 Fedora End Of Life 2016-11-24 08:26:07 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 10:54:39 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.